Send Email

Creates and Sends an Email message.

  • Emails will be sent using the channel that corresponds to the from request parameter. The from value can be either the channel's email adrress or the channel's ID.

  • Plain Text and HTML bodies are accepted (as long as they're in string format).

  • Attachment-only emails are also accepted.

  • If there is no contact corresponding to the to parameter for the organization, a new contact will be created, along with a conversation with the from email channel. If there is an existing contact but no conversation, a new conversation will be created.

  • The opt_in_to_all_channels and opt_in_to params are optional and they will be processed in the cases where a new contact is created. These params reflect which of the organization channels the contact will be opted in to.

Note: The Messaging API is designed for creating and managing emails and can only process POST requests. To view emails, navigate to the Conversation section where you can use the Show Conversation API to GET emails within a specific conversation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Send Email Params

attachments
array of strings

List of attachment URLs

attachments
bcc
array of strings

BCC email addresses

bcc
string

Email body

cc
array of strings

CC email addresses

cc
string
enum
Defaults to open

Status to set for the conversation.

Allowed:
string
required

Email address(or ID) of an existing channel belonging to your organization.

opt_in_to
array of objects

Setting to opt in contact to specific channels

opt_in_to
boolean

Setting to opt in contact to all channels

string

Reply To email

date-time

Scheduling time for the email. Requires ISO 8601 format.

string

Used to set a custom sender email address to send the message from.

  • If the custom sender_email doesn't match an existing Location's email address, you won't be able to receive INBOUND messages (new/replies) to this email address.

  • When the entered custom sender_email address matches an already existing one, if the recipient replies to that email, it'll be intercepted by that person who has the given email address.

  • adding "sender_email" with value of a valid email address structure will send the email through that email address but the domain will highly likely be the one of the from field.

  • adding "sender_email" with value of "" or null will treat it as a null and send the email through the from email address.

  • adding "sender_email" with value of invalid email address structure, ex: "invalid@something" will return error message with status code 422.

string

Used to set a custom sender name

string

Email subject

string
required

Destination email address

Responses

Callback
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json